Loading...
Searching...
No Matches
groebnerCone_compare Struct Reference

`#include <groebnerCone.h>`

## Public Member Functions

bool | operator() (const groebnerCone &sigma, const groebnerCone &theta) const

## Detailed Description

Definition at line 115 of file groebnerCone.h.

## Member Function Documentation

## operator()()

bool groebnerCone_compare::operator() | ( | const groebnerCone & | sigma,
|  | const groebnerCone & | theta ) const

inline

Definition at line 117 of file groebnerCone.h.

{
const gfan::ZVector p1 = sigma.getInteriorPoint();
const gfan::ZVector p2 = theta.getInteriorPoint();
assume (p1.size() == p2.size());
return p1 < p2;
}
groebnerCone::getInteriorPoint
gfan::ZVector getInteriorPoint() const
Definition groebnerCone.h:65
assume
#define assume(x)
Definition mod2.h:389

The documentation for this struct was generated from the following file:

- Singular/dyn_modules/gfanlib/groebnerCone.h